Need Lib32-Gconf in order to run Garry's Mod on Steam

Hello.

I can't run Garrys Mod on Steam, due to a missing lib file called libgconf-2.so.4. I do have libgconf-2.so.4.1.5, but when I pointed to this file, using ln -s, it then complained that the ELF was 64bit. So, I need a 32bit version of this file. The lib32-gconf library is not in Garuda's repository.. I think because it's obsolete. There is a link to the source here: AUR (en) - lib32-gconf
But, I don't know how to compile it.

2 questions:

Does anyone know WHERE to get this dependency prepackaged (from another repository, perhaps)

OR, does someone have a good guide on how to compile/build the PKGBLD from that website I linked above?

Appreciate the help!

I actually had this issue a little while ago. Turns out I was opening Steam (Native) rather than Steam (Runtime) which was not loading certain libraries etc. Whenever I launch Steam (Runtime) then pin the running app to the dock, it actually pins Steam (Native).

Once I ran Steam Runtime the game loaded up fine. You might need to verify game files if you've messed about with them already trying to fix this issue.

1 Like

It sounds like @noop has your solution here, but if you do end up needing to build that package:

Use the link on the right hand side of the page you found that says "Download snapshot" (under Package Actions). If you want to keep things tidy you should make a new folder for it.

Since it is a tar.gz file, navigate to the folder you put it in and run tar -xf lib32-gconf.tar.gz to uncompress, then makepkg to build it. If you are missing dependencies it will fail and let you know what is missing. You can run with the -s flag to get the dependencies with the build (makepkg -s).

More information: makepkg - ArchWiki

3 Likes

At a quick Internet search, both suggestions seem to be OK. E.g. (there are other hits suggesting the same):

I guess (and hope) the lib could be more easily installed from AUR also with an helper, e.g.:
paru lib32-gconf

1 Like

Thanks, everyone! I really appreciate this. @noop was right (THANKS). I was running the Steam (native) client. Once I ran the Steam (runtime) client, I stopped getting the libgconf error! Unfortunately, I am back to my original problem. It freezes about 10 seconds into the loading screen. Anyone know if there are trace files for Steam (or Garrysmod)? I looked through the local directories to no avail.

Thanks again for everyone's help!

1 Like

10 reasons garrys mod is the most BROKEN game on steam

4 Likes

I’ve played thousands of hours of gmod and I can safely say I’m not surprised you’re having issues, it really is a dumpster fire.

Regarding your freezing issue, If you haven’t already, first verify game files especially if you were tinkering with them to fix the previous issue.

Failing that, go to the properties of gmod in steam and participate in the chromium_x64 branch, let it download and then try run that and you will probs have less issues. I find that sometimes it will freeze during the blue screen and actually completely locks my system up, but it’s nowhere near as often when I run the x64 Chromium branch (which everyone really should use unless they have a 32bit system).

One more thing to consider is if you’re subscribed to a huge amount of workshop addons it could be freezing while trying to mount them all. No harm in doing an unsubscribe purge and deleting the files from your gmod dir.

@noop, you're a genius. They will write songs about you! :smiley:
Putting the game into X64 Chromium branch allowed me to play Garrysmod.

Really appreciate the help.

1 Like

I guess I should have put the freezing issue in another thread. You can only have 1 solution, so I made your Steam Native vs Runtime post the solution (since this thread was originally about needing that Lib32-Gconf).

1 Like

Hi, Filo. Appreciate the help!

I saw this post when searching the Internet. It refers to the source of the lib32-gconf file, but you must compile it. This was my other question: Anyone have a link to a good tutorial on building from source? I used to compile (try at least) games on my raspberry pi, so I have some very limited experience.

With an AUR helper like yay or paru you don't have to do anything (for AUR packages).
Otherwise to compile yourself you can read
https://wiki.archlinux.org/title/Arch_User_Repository#Installing_and_upgrading_packages